Package Details: libpurple-signald-git 0.6.0.r2.gaf18341-1

Git Clone URL: https://aur.archlinux.org/libpurple-signald-git.git (read-only, click to copy)
Package Base: libpurple-signald-git
Description: Pidgin libpurple bridge to signald.
Upstream URL: https://github.com/hoehermann/libpurple-signald
Keywords: openwhisper pidgin purple signal textsecure
Licenses: GPL3
Submitter: zer0def
Maintainer: tea
Last Packager: tea
Votes: 4
Popularity: 0.87
First Submitted: 2019-03-24 10:08
Last Updated: 2020-10-10 16:59

Latest Comments

kaptoxic commented on 2021-09-13 10:34

I think QRencode should be a dependency. (Required for linking to an existing account.)

2e0byo commented on 2021-04-21 13:11

Suggested changes to PKGBUILD to

  • bump version
  • conflict with libpurple-signald
  • init submodule Apologies if there's some better way of posting this
--- libpurple-signald-git/PKGBUILD  2021-04-21 14:09:42.320746666 +0100
+++ libpurple-signald-git.bak/PKGBUILD  2021-04-21 14:07:13.515083610 +0100
@@ -3,7 +3,7 @@
 # Contributor: zer0def <zer0def on freenode>

 pkgname=libpurple-signald-git
-pkgver=0.6.0.r2.gaf18341
+pkgver=0.8.0.r6.g85fe424
 pkgrel=1
 pkgdesc='Pidgin libpurple bridge to signald.'
 url='https://github.com/hoehermann/libpurple-signald'
@@ -13,6 +13,7 @@
 makedepends=('git')
 source=("${pkgname}::git+https://github.com/hoehermann/libpurple-signald")
 sha512sums=('SKIP')
+conflicts=('libpurple-signald')

 pkgver() {
   cd "${srcdir}/${pkgname}"
@@ -20,6 +21,12 @@
   git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
 }

+prepare() {
+   cd "$srcdir/${pkgname}"
+   git submodule init
+   git submodule update
+}
+
 build() {
   cd "${srcdir}/${pkgname}"
   make

Zauberfisch commented on 2021-04-19 21:09

Building fails with "make: *** No rule to make target 'submodules/MegaMimes/src/MegaMimes.c', needed by 'comms.o'.".

This is because a git submodule is missing. Please clone with --recurse-submodules (see https://github.com/hoehermann/libpurple-signald/pull/48 )

Strykar commented on 2021-01-17 00:40

Today's changes, a493c6d and 8240f34, fail compiling with:

cc -shared -o libsignald.so comms.o contacts.o direct.o groups.o link.o message.o libsignald.o -Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now pkg-config purple glib-2.0 json-glib-1.0 --libs
/usr/bin/ld: libsignald.o: warning: relocation against signald_login' in read-only section.text'
/usr/bin/ld: contacts.o: relocation R_X86_64_PC32 against symbol `signald_process_contact' can not be used when making a shared object; recompile with -fPIC
/usr/bin/ld: final link failed: bad value
collect2: error: ld returned 1 exit status
make: *** [Makefile:51: libsignald.so] Error 1
==> ERROR: A failure occurred in build().
    Aborting...

tea commented on 2020-10-02 00:48

Needs git in makedepends.

zer0def commented on 2019-11-28 15:26

Today's testing of whether I'm able to receive messages using this plugin through an updated signald yielded nothing received, meaning that upstream might be borked and hence YMMV.